#!HEAD: main2-MERCURY_FLYBY_2_XOR_003_M62 2022-06-02 01:39:32 582        45 MMO                  MAIN2               // Earth Fly-by                
0001  . # LET                  @ONERR=NEXT                   
0002  . # ==========================================================================
0003    #  <startTime>2022-06-21T00:10:00Z</startTime>
0004    #  <stopTime>2022-06-24T19:11:00Z</stopTime>
0005    #  << XDOR:XDOR_BJXR_C955_CRCO_M620501_00003.BC >> Ϣ³*****
0006    #  << XOR:XOR__BJXR_C955_CRCO_M620501_00003.BC >> *****
0007    # ==========================================================================
0008    # ==========================================================================
0009  . #  EXEC_AT 2022-06-21 00:10:00
0010    # 
0011    # ==========================================================================
0012    # 0. MMO MOSIF Heater &  Switch to Standby Mode
0013    # ==========================================================================
0014    #
0015    # Change MOSIF Heater Setting   (14sec)
0016    # <forMPO>AJXF017A</forMPO>     
0017    WAIT_SEC             20                   
0018    #
0019    # Change MOSIF R Heater Setting   
0020    # <forMPO>AJXF017C</forMPO>     
0021    WAIT_SEC             42580                   
0022    #
0023    # MMO Switch to Standby Mode (main) (300sec)
0024    # <forMPO>AJXF001A</forMPO> 
0025    WAIT_SEC             360                   
0026    #
0027    # MMO Set HK rate to 64 second  (3sec)
0028    # <forMPO>AJXF005A</forMPO> 
0029    WAIT_SEC              220                   
0030    #
0031    # Return MOSIF R heater setting   (14sec)
0032    # <forMPO>AJXF017D</forMPO>     
0033    WAIT_SEC              20                   
0034    # 
0035    # ==========================================================================
0036    # 01. BUS ON 
0037    # ==========================================================================
0038    #
0039    CALL dcsm-EF_BUS_MONI_ON -Run                   
0040    #
0041    # ==========================================================================
0042    # 02. MDP ON
0043    # ==========================================================================
0044    #
0045    CALL dcsm-EF_MDP_ON -Run                   
0046    #
0047    # ==========================================================================
0048    # 03. TLM MODE 10 (Mission: 4kbps, with user HK)
0049    # ==========================================================================
0050    #
0051    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0052    #
0053    CALL dcsm-EF_MSA_ON_C -Run                   
0054    #
0055    WAIT_SEC  1800                   
0056    #
0057    CALL dcsm-EF_MSA_OFF -Run                   
0058    #
0059    # ==========================================================================
0060    # 04. MDP OFF
0061    # ==========================================================================
0062    #
0063    CALL dcsm-EF_MDP_POWEROFF -Run                   
0064    #
0065    # ==========================================================================
0066    # 05. MDP ON
0067    # ==========================================================================
0068    #
0069    CALL dcsm-EF_MDP_ON -Run                   
0070    #
0071    CALL dcsm-EF_MDP_CRUISE_SET -Run                   
0072    #
0073    # ==========================================================================
0074    # 06. TLM MODE 10 (Mission: 4kbps, with user HK)
0075    # ==========================================================================
0076    #
0077    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0078    #
0079    # ==========================================================================
0080    # 07.  PI POWER ON
0081    # ==========================================================================
0082    #
0083    CALL dcsm-EF_MSA_ON_C -Run                   
0084    #
0085    # ==========================================================================
0086    # WAIT_SEC
0087    # ==========================================================================
0088    WAIT_SEC  52200                   
0089    #
0090    CALL dcsm-EF_PME_ON -Run                   
0091    #
0092    CALL dcsm-EF_PWI_ON_CRUISE -Run                   
0093    #
0094    CALL dcsm-EF_MGF_ON -Run                   
0095    #
0096    CALL dcsm-EF_MEA_ON_SW -Run                   
0097    #
0098    CALL dcsm-EF_ENA_power_ON -Run                   
0099    #
0100    CALL dcsm-EF_MIA_ON_ASIC_LDET -Run                   
0101    #
0102    CALL dcsm-EF_HEP_ON_START_for_TL -Run                   
0103    #
0104    CALL dcsm-EF_MDM_ON -Run                   
0105    #
0106    # ==========================================================================
0107    # 08.  PI HV ON
0108    # ==========================================================================
0109    #
0110    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0111    #
0112    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0113    #
0114    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0115    #
0116    CALL dcsm-EF_MEA_HV_ON -Run                   
0117    #
0118    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0119    #
0120    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0121    #
0122    # ==========================================================================
0123    # 09. TLM MODE 5  (Mission: 7kbps, without user HK)
0124    # ==========================================================================
0125    #
0126    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0127    #
0128    # ==========================================================================
0129    # 10. Observation A
0130    # ==========================================================================
0131    #
0132    WAIT_SEC 16758                   
0133    #
0134    # ==========================================================================
0135    # 11. TLM MODE 10 (Mission: 4kbps, with user HK)
0136    # ==========================================================================
0137    #
0138    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0139    #
0140    # ==========================================================================
0141    # 12. PI HV OFF
0142    # ==========================================================================
0143    #
0144    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0145    #
0146    CALL dcsm-EF_ENA_HV_OFF -Run                   
0147    #
0148    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0149    #
0150    CALL dcsm-EF_MIA_HV_OFF -Run                   
0151    #
0152    CALL dcsm-EF_MEA_HV_OFF -Run                   
0153    #
0154    # ==========================================================================
0155    # 13. WOL#1
0156    # ==========================================================================
0157    #
0158    WAIT_SEC 1800                   
0159    #
0160    # ==========================================================================
0161    # 14.  PI HV ON
0162    # ==========================================================================
0163    #
0164    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0165    #
0166    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0167    #
0168    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0169    #
0170    CALL dcsm-EF_MEA_HV_ON -Run                   
0171    #
0172    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0173    #
0174    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0175    #
0176    # ==========================================================================
0177    # 15. TLM MODE 5  (Mission: 7kbps, without user HK)
0178    # ==========================================================================
0179    #
0180    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0181    #
0182    # ==========================================================================
0183    # 16. Observation B
0184    # ==========================================================================
0185    #
0186    WAIT_SEC 17627                   
0187    #
0188    # ==========================================================================
0189    # 17. TLM MODE 10 (Mission: 4kbps, with user HK)
0190    # ==========================================================================
0191    #
0192    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0193    #
0194    # ==========================================================================
0195    # 18. PI HV OFF
0196    # ==========================================================================
0197    #
0198    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0199    #
0200    CALL dcsm-EF_ENA_HV_OFF -Run                   
0201    #
0202    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0203    #
0204    CALL dcsm-EF_MIA_HV_OFF -Run                   
0205    #
0206    CALL dcsm-EF_MEA_HV_OFF -Run                   
0207    #
0208    # ==========================================================================
0209    # 19. WOL#2
0210    # ==========================================================================
0211    #
0212    WAIT_SEC 1800                   
0213    #
0214    # ==========================================================================
0215    # 20.  PI HV ON
0216    # ==========================================================================
0217    #
0218    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0219    #
0220    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0221    #
0222    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0223    #
0224    CALL dcsm-EF_MEA_HV_ON -Run                   
0225    #
0226    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0227    #
0228    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0229    #
0230    # ==========================================================================
0231    # 21. TLM MODE 5  (Mission: 7kbps, without user HK)
0232    # ==========================================================================
0233    #
0234    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0235    #
0236    # ==========================================================================
0237    # 22. Observation C
0238    # ==========================================================================
0239    #
0240    WAIT_SEC 15827                   
0241    #
0242    # ==========================================================================
0243    # 23. TLM MODE 10 (Mission: 4kbps, with user HK)
0244    # ==========================================================================
0245    #
0246    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0247    #
0248    # ==========================================================================
0249    # 24. PI HV OFF
0250    # ==========================================================================
0251    #
0252    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0253    #
0254    CALL dcsm-EF_ENA_HV_OFF -Run                   
0255    #
0256    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0257    #
0258    CALL dcsm-EF_MIA_HV_OFF -Run                   
0259    #
0260    CALL dcsm-EF_MEA_HV_OFF -Run                   
0261    #
0262    # ==========================================================================
0263    # 25. WOL#3
0264    # ==========================================================================
0265    #
0266    WAIT_SEC 1800                   
0267    #
0268    # ==========================================================================
0269    # 26.  PI HV ON
0270    # ==========================================================================
0271    #
0272    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0273    #
0274    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0275    #
0276    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0277    #
0278    CALL dcsm-EF_MEA_HV_ON -Run                   
0279    #
0280    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0281    #
0282    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0283    #
0284    # ==========================================================================
0285    # 27. TLM MODE 5  (Mission: 7kbps, without user HK)
0286    # ==========================================================================
0287    #
0288    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0289    #
0290    # ==========================================================================
0291    # 28. Observation D
0292    # ==========================================================================
0293    #
0294    WAIT_SEC 5027                   
0295    #
0296    # ==========================================================================
0297    # 29. TLM MODE 10 (Mission: 4kbps, with user HK)
0298    # ==========================================================================
0299    #
0300    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0301    #
0302    # ==========================================================================
0303    # 30. PI HV OFF
0304    # ==========================================================================
0305    #
0306    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0307    #
0308    CALL dcsm-EF_ENA_HV_OFF -Run                   
0309    #
0310    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0311    #
0312    CALL dcsm-EF_MIA_HV_OFF -Run                   
0313    #
0314    CALL dcsm-EF_MEA_HV_OFF -Run                   
0315    #
0316    # ==========================================================================
0317    # 31. WOL#4
0318    # ==========================================================================
0319    #
0320    WAIT_SEC 1800                   
0321    #
0322    # ==========================================================================
0323    # 32.  PI HV ON
0324    # ==========================================================================
0325    #
0326    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0327    #
0328    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0329    #
0330    CALL dcsm-EF_MIA_HV_ON_MAG_RC -Run                   
0331    #
0332    CALL dcsm-EF_MEA_HV_ON -Run                   
0333    #
0334    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0335    #
0336    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0337    #
0338    # ==========================================================================
0339    # 33. TLM MODE 5  (Mission: 7kbps, without user HK)
0340    # ==========================================================================
0341    #
0342    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0343    #
0344    # ==========================================================================
0345    # 34. Observation E
0346    # ==========================================================================
0347    #
0348    WAIT_SEC 5027                   
0349    #
0350    # ==========================================================================
0351    # 35. TLM MODE 10 (Mission: 4kbps, with user HK)
0352    # ==========================================================================
0353    #
0354    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0355    #
0356    # ==========================================================================
0357    # 36. PI HV OFF
0358    # ==========================================================================
0359    #
0360    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0361    #
0362    CALL dcsm-EF_ENA_HV_OFF -Run                   
0363    #
0364    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0365    #
0366    CALL dcsm-EF_MIA_HV_OFF -Run                   
0367    #
0368    CALL dcsm-EF_MEA_HV_OFF -Run                   
0369    #
0370    # ==========================================================================
0371    # 37. WOL#5
0372    # ==========================================================================
0373    #
0374    WAIT_SEC 1800                   
0375    #
0376    # ==========================================================================
0377    # 38.  PI HV ON
0378    # ==========================================================================
0379    #
0380    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0381    #
0382    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0383    #
0384    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0385    #
0386    CALL dcsm-EF_MEA_HV_ON -Run                   
0387    #
0388    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0389    #
0390    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0391    #
0392    # ==========================================================================
0393    # 39. TLM MODE 5  (Mission: 7kbps, without user HK)
0394    # ==========================================================================
0395    #
0396    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0397    #
0398    # ==========================================================================
0399    # 40. Observation F
0400    # ==========================================================================
0401    #
0402    WAIT_SEC 8627                   
0403    #
0404    # ==========================================================================
0405    # 41. TLM MODE 10 (Mission: 4kbps, with user HK)
0406    # ==========================================================================
0407    #
0408    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0409    #
0410    # ==========================================================================
0411    # 42. PI HV OFF
0412    # ==========================================================================
0413    #
0414    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0415    #
0416    CALL dcsm-EF_ENA_HV_OFF -Run                   
0417    #
0418    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0419    #
0420    CALL dcsm-EF_MIA_HV_OFF -Run                   
0421    #
0422    CALL dcsm-EF_MEA_HV_OFF -Run                   
0423    #
0424    # ==========================================================================
0425    # 43. WOL#6
0426    # ==========================================================================
0427    #
0428    WAIT_SEC 1800                   
0429    #
0430    # ==========================================================================
0431    # 44.  PI HV ON
0432    # ==========================================================================
0433    #
0434    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0435    #
0436    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0437    #
0438    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0439    #
0440    CALL dcsm-EF_MEA_HV_ON -Run                   
0441    #
0442    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0443    #
0444    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0445    #
0446    # ==========================================================================
0447    # 45. TLM MODE 5  (Mission: 7kbps, without user HK)
0448    # ==========================================================================
0449    #
0450    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0451    #
0452    # ==========================================================================
0453    # 46. Observation G
0454    # ==========================================================================
0455    #
0456    WAIT_SEC 33827                   
0457    #
0458    # ==========================================================================
0459    # 47. TLM MODE 10 (Mission: 4kbps, with user HK)
0460    # ==========================================================================
0461    #
0462    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0463    #
0464    # ==========================================================================
0465    # 48. PI HV OFF
0466    # ==========================================================================
0467    #
0468    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0469    #
0470    CALL dcsm-EF_ENA_HV_OFF -Run                   
0471    #
0472    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0473    #
0474    CALL dcsm-EF_MIA_HV_OFF -Run                   
0475    #
0476    CALL dcsm-EF_MEA_HV_OFF -Run                   
0477    #
0478    # ==========================================================================
0479    # 49. WOL#7
0480    # ==========================================================================
0481    #
0482    WAIT_SEC 1800                   
0483    #
0484    # ==========================================================================
0485    # 50.  PI HV ON
0486    # ==========================================================================
0487    #
0488    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0489    #
0490    CALL dcsm-EF_ENA_HV_ON_CNT -Run                   
0491    #
0492    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0493    #
0494    CALL dcsm-EF_MEA_HV_ON -Run                   
0495    #
0496    CALL dcsm-EF_MSA_HV_ON_1_MFB_Safe -Run                   
0497    #
0498    CALL dcsm-EF_MSA_HV_ON_2_MFB_Safe -Run                   
0499    #
0500    # ==========================================================================
0501    # 51. TLM MODE 5  (Mission: 7kbps, without user HK)
0502    # ==========================================================================
0503    #
0504    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0505    #
0506    # ==========================================================================
0507    # 52. Observation H
0508    # ==========================================================================
0509    #
0510    WAIT_SEC 44067                   
0511    #
0512    # ==========================================================================
0513    # 53. TLM MODE 10 (Mission: 4kbps, with user HK)
0514    # ==========================================================================
0515    #
0516    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0517    #
0518    # ==========================================================================
0519    # 54. PI HV OFF
0520    # ==========================================================================
0521    #
0522    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0523    #
0524    CALL dcsm-EF_ENA_HV_OFF -Run                   
0525    #
0526    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0527    #
0528    CALL dcsm-EF_MIA_HV_OFF -Run                   
0529    #
0530    CALL dcsm-EF_MEA_HV_SCAN_OFF -Run                   
0531    #
0532    # ==========================================================================
0533    # 55. PI Power OFF
0534    # ==========================================================================
0535    #
0536    CALL dcsm-EF_HEPE_OFF_STOP -Run                   
0537    #
0538    CALL dcsm-EF_MIA_OFF -Run                   
0539    #
0540    CALL dcsm-EF_ENA_power_OFF -Run                   
0541    #
0542    CALL dcsm-EF_MEA_OFF -Run                   
0543    #
0544    CALL dcsm-EF_MGF_OFF -Run                   
0545    #
0546    CALL dcsm-EF_PWI_OFF -Run                   
0547    #
0548    CALL dcsm-EF_PME_OFF -Run                   
0549    #
0550    CALL dcsm-EF_MSA_OFF -Run                   
0551    #
0552    CALL dcsm-EF_MDM_OFF -Run                   
0553    #
0554    # ==========================================================================
0555    # 56. MDP OFF
0556    # ==========================================================================
0557    #
0558    CALL dcsm-EF_MDP_POWEROFF -Run                   
0559    #
0560    # ==========================================================================
0561    # 57. BUS MONI OFF
0562    # ==========================================================================
0563    #
0564    CALL dcsm-EF_BUS_MONI_OFF -Run                   
0565    #
0566    # ==========================================================================
0567    # 99. MMO Dormant Mode
0568    # ==========================================================================
0569    WAIT_SEC             240                   
0570    #
0571    # MMO Set HK rate to 1 second   (3sec)
0572    # <forMPO>AJXF004A</forMPO>
0573    WAIT_SEC             120                   
0574    #
0575    # MMO Switch to Dormant Mode  (70sec)
0576    # <forMPO>AJXF002A</forMPO>
0577    WAIT_SEC             300                   
0578    #
0579    # Return MOSIF heater setting   (14sec)
0580    # <forMPO>AJXF017B</forMPO>                   
0581    #############################################################################
0582    # ==========================================================================
